HHVM Connection Errors

Discussion in 'Installation/Configuration' started by ghostshell, Nov 28, 2016 at 11:56 PM.

  1. ghostshell

    ghostshell New Member

    Created 2 brand new sites, uploaded wordpress fresh from wordpress.org and all I get is 500 errors when trying to access the sites to setup wordpress. I get the following errors:

    [Mon Nov 28 15:41:28.670602 2016] [fastcgi:error] [pid 5804] (111)Connection refused: [client 127.0.0.1:55138] FastCGI: failed to connect to server "/var/www/clients/client0/web3/cgi-bin/hhvm-fcgi-*-80-mysite.com": connect() fail$
    [Mon Nov 28 15:41:28.670677 2016] [fastcgi:error] [pid 5804] [client 127.0.0.1:55138] FastCGI: incomplete headers (0 bytes) received from server "/var/www/clients/client0/web3/cgi-bin/hhvm-fcgi-*-80-mysite.com"

    Even when I try using the following code I get a 500 error:

    <?php
    if (defined('HHVM_VERSION')) {
    echo 'HHVM is working';
    phpinfo();
    }
    else {
    echo 'HHVM is not working';
    }
    ?>

    All the guides I find say to run install_fastcgi.sh and also
    /usr/bin/update-alternatives --install /usr/bin/php php /usr/bin/hhvm 60

    There is nothing listed in the Perect Server guide I followed about this steps.

    Was unable to find a working fix on Google.
     
    Last edited: Nov 29, 2016 at 12:03 AM
  2. Jesse Norell

    Jesse Norell Active Member

    I believe update-alternatives will switch your default system php to hhvm, which is not at all what you want, and why there's nothing about that in the Perfect Server guides. Leave your system php version alone (install additional php versions if you need them), and install hhvm per the Perfect Server guide.

    I haven't installed that recently, but for debian 8 I believe it is as simple as installing the 'hhvm' package before you install/configure ispconfig. Maybe purge hhvm, test that your sites work in php-fpm and fast-cgi modes, and then install hhvm again and re-run ispconfig updater (say yes to reconfigure services).
     
  3. ghostshell

    ghostshell New Member

    Thank you for responding. I had already ran the update and it did not replace anything, it just added HHVM as an alternate to php if needed. When I issue php -v I see php version print out with Zend engine, nothing HHVM shows up. I had my datacenter create a test server for me to test what the install script does and it does nothing special and it not needed when following either perfect server guide. I after 2 days figured out the error and have the sites up. I appreciate your response and input.
     

Share This Page